/*
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Pieringer Johannes <jpieringer@desktopbsd.net>
 *         (C) 2006
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#ifndef FRMBOOTPROPERTIES_H
#define FRMBOOTPROPERTIES_H

#include "uifrmbootproperties.h"
#include "grubbootentry.h"

class ModGrubconf;
class MntDevice;

class FrmBootproperties : public UiFrmBootProperties
{
	Q_OBJECT

public:
	FrmBootproperties(GrubBootentry* bootentry, QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0);

protected:
	GrubBootentry* bootentry;
	QPtrList<QString> root;
	void buildPartitionCmb();
	void appendPartitions(MntDevice*& dev, int& hdCount);

protected slots:
	virtual void save();
	virtual void changeType();

};

#endif

